package me.totalfreedom.totalfreedommod.api;

import me.totalfreedom.totalfreedommod.player.PlayerData;
import org.bukkit.entity.Player;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.PlayerInventory;

public interface ShoppeCommons
{

    int getCoinsPerReactionWin();

    void startReactionTimer();

    void forceStartReaction();

    void startReaction();

    void endReaction(String winner);

    String getShopPrefix();

    String getShopTitle();

    Inventory generateShopGUI(PlayerData playerData);

    Inventory generateLoginMessageGUI(Player player);

    boolean isRealItem(PlayerData data, ShopItem shopItem, PlayerInventory inventory, ItemStack realItem);

    boolean isRealItem(PlayerData data, ShopItem shopItem, ItemStack givenItem, ItemStack realItem);

    ItemStack getLightningRod();

    ItemStack getGrapplingHook();

    ItemStack getFireBall();

    ItemStack getRideablePearl();

    ItemStack getStackingPotato();

    ItemStack getClownFish();

    boolean canAfford(int price, int coins);

    int amountNeeded(int price, int coins);

    ItemStack shopGUIItem(ShopItem item, PlayerData data);

    ShopItem getShopItem(int slot);

    String getReactionString();
}
